#ifndef AOISEGMENTATION
#define AOISEGMENTATION

#include "../core/datastate.h"

class AoiSegmentation{
public:
    explicit AoiSegmentation(DataState *state);
    void runSegmenation();

    struct segmentationWrapper {
      AoiSegmentation *instance;
      // cppcheck-suppress noExplicitConstructor
      segmentationWrapper(AoiSegmentation *w): instance(w) {}
      void operator()(int &iteration) {
        instance->segmentation(iteration);
      }
    };
    void segmentation(int &iteration);

private:
    DataState *state;
};

#endif // AOISEGMENTATION

