#ifndef POLYPOINTGRAPHICSITEM_H
#define POLYPOINTGRAPHICSITEM_H

#include <QObject>
#include <QGraphicsEllipseItem>
#include <QGraphicsSceneMouseEvent>


class PolyPointGraphicsItem : public QObject, public QGraphicsEllipseItem
{
    Q_OBJECT
public:
    explicit PolyPointGraphicsItem(QGraphicsScene* s, QPointF p);

    int radius;

    QPointF move;
    QPointF position;

signals:
    void moving();
    void moved();
protected:

    void mouseMoveEvent(QGraphicsSceneMouseEvent *event);
    void mouseReleaseEvent(QGraphicsSceneMouseEvent *event);
};

#endif // POLYPOINTGRAPHICSITEM_H
